ru.bitel.bgbilling.kernel.event.events

## Class ContractTariffUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.events.ContractTariffUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractTariffUpdateEvent
      extends QueueEvent

  Асинхронное событие - изменение тарифа договора.
  Вызывается по факту добавления или изменения тарифного плана договора.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractTariffUpdateEvent()`
    `` | `ContractTariffUpdateEvent(int userId, int cid, ContractTariff contractTariff, boolean isAddTariff)` Конструктор события.
    `` | `ContractTariffUpdateEvent(int userId, int cid, ContractTariff contractTariff, boolean isAddTariff)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractTariff` | `getContractTariff()` Возвращает добавленный/измененный тариф договора
    `boolean` | `isAddTariff()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffUpdateEvent

          protected ContractTariffUpdateEvent()

    - #### ContractTariffUpdateEvent

          public ContractTariffUpdateEvent(int userId,
                                           int cid,
                                           ContractTariff contractTariff,
                                           boolean isAddTariff)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - код договора
        `contractTariff` - - добавленный/измененный тариф договора

    - #### ContractTariffUpdateEvent

          public ContractTariffUpdateEvent(int userId,
                                           int cid,
                                           ContractTariff contractTariff,
                                           boolean isAddTariff)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - код договора
        `contractTariff` - - добавленный/измененный тариф договора

  - ### Method Detail

    - #### getContractTariff

          public ContractTariff getContractTariff()

      Возвращает добавленный/измененный тариф договора
      Returns:
        contractTariff - тарифный план договора

    - #### isAddTariff

          public boolean isAddTariff()

      Returns:
        - true, если тариф был добавлен, false - он был изменен.